Loading...
Searching...
No Matches
doc_warning_returns_owned_pointer Class Reference

## Detailed Description

Warning
  The pointer that is returned by this function is owned by the caller, who is responsible for deleting it. Any changes made to the element will not be reflected in any resulting SBML document unless the element is added to an SBML Document. Even in this case, the element's deletion is still the responsibility of the caller with two exceptions: if it is used as the "disownedItem" in the ListOf::appendAndOwn() or ListOf::insertAndOwn() functions. All other functions in libsbml add a copy of the element, and do not transfer ownership of the pointer.